Subject: bug#19989: 25.0.50; Build instructions on Windows

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Mar 2015 19:21:03 +0200

> Date: Tue, 03 Mar 2015 19:00:09 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> >   • mingw shell sets path to (essentially) FOO/msys/1.0/mingw/bin (here FOO
> >         is the install path), but there is no directory
> >           FOO/msys/1.0/mingw
> >         what is is
> >           FOO/bin
> >     So I needed to make a symbolic link (Windows style required) by
> >     running
> >         mklink /j mingw FOO
> >     in FOO/msys/1.0
> [...]
> FWIW, the 2nd issue sounds to me like an installation mistake of some
> kind (did you install MinGW inside the MSYS tree, by chance?).  But
> I'm not an expert; all I know is that on my system, the MSYS Bash
> window has PATH set to whatever my system-wide PATH is, with these
> directories prepended:
> 
>   .:/usr/local/bin:/mingw/bin:/bin:
> 
> IOW, no msys/1.0/mingw/ anywhere in sight.

Btw, there's nothing magic in the PATH value: it is set in
/etc/profile (probably FOO/msys/etc/profile in your case), and you can
edit it to your heart's content.